# vim: set ts=2 sw=2 sts=2 et:
#
# Data
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: level_display_count
    category: QSL\Make
    translations:
      - code: en
        option_name: Number of fitment levels
        option_comment: 'Choose the number of fitment levels for the vehicle filter, e.g. Make/Model/Year/Engine, Make/Model/Year, or Make/Year.'

  - name: level1name
    category: QSL\Make
    type: QSL\Make\View\FormField\Select\LevelName
    translations:
      - code: en
        option_name: Level name

  - name: level1name_custom
    category: QSL\Make
    widgetParameters: {dependency: {show: {level1name: 'custom'}}}
    type: text
    orderby: 115
    translations:
      - code: en
        option_name: 'Level custom name'

  - name: sortingLevel1
    category: QSL\Make
    translations:
      - code: en
        option_name: Sorting
        option_comment: 'Select the order to display the fitment level elements on the pages like "Shop By Make", "Shop By Model", "Shop By Year", etc., and in the featured blocks on your store front page.'

  - name: level1_frontPagePromo_isShown
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Show featured block'
        option_comment: 'Show featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc. on your store front page.'

  - name: level1_promoBlock_format
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Block display mode'
        option_comment: 'Choose the display mode for the featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc.'

  - name: level1_promoBlock_elementsNumber
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Number of items in block'
        option_comment: 'Set the number of items to display in the featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc.'

  - name: level2name
    category: QSL\Make
    type: QSL\Make\View\FormField\Select\LevelName
    translations:
      - code: en
        option_name: Level name

  - name: level2name_custom
    category: QSL\Make
    widgetParameters: {dependency: {show: {level2name: 'custom'}}}
    type: text
    orderby: 215
    translations:
      - code: en
        option_name: 'Level custom name'

  - name: sortingLevel2
    category: QSL\Make
    translations:
      - code: en
        option_name: Sorting
        option_comment: 'Select the order to display the fitment level elements on the pages like "Shop By Make", "Shop By Model", "Shop By Year", etc., and in the featured blocks on your store front page.'

  - name: level2_frontPagePromo_isShown
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Show featured block'
        option_comment: 'Show featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc. on your store front page.'

  - name: level2_promoBlock_format
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Block display mode'
        option_comment: 'Choose the display mode for the featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc.'

  - name: level2_promoBlock_elementsNumber
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Number of items in block'
        option_comment: 'Set the number of items to display in the featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc.'

  - name: level3name
    category: QSL\Make
    type: QSL\Make\View\FormField\Select\LevelName
    translations:
      - code: en
        option_name: Level name
        option_comment: 'You can use any text you need, for example: "Model" or "Year"'

  - name: level3name_custom
    category: QSL\Make
    widgetParameters: {dependency: {show: {level3name: 'custom'}}}
    type: text
    orderby: 315
    translations:
      - code: en
        option_name: 'Level custom name'

  - name: sortingLevel3
    category: QSL\Make
    translations:
      - code: en
        option_name: Sorting
        option_comment: 'Select the order to display the fitment level elements on the pages like "Shop By Make", "Shop By Model", "Shop By Year", etc., and in the featured blocks on your store front page.'

  - name: level3_frontPagePromo_isShown
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Show featured block'
        option_comment: 'Show featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc. on your store front page.'

  - name: level3_promoBlock_format
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Block display mode'
        option_comment: 'Choose the display mode for the featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc.'

  - name: level3_promoBlock_elementsNumber
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Number of items in block'
        option_comment: 'Set the number of items to display in the featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc.'

  - name: level4name
    category: QSL\Make
    type: QSL\Make\View\FormField\Select\LevelName
    translations:
      - code: en
        option_name: Level name
        option_comment: 'You can use any text you need, for example: "Engine"'

  - name: level4name_custom
    category: QSL\Make
    widgetParameters: {dependency: {show: {level4name: 'custom'}}}
    type: text
    orderby: 415
    translations:
      - code: en
        option_name: 'Level custom name'

  - name: sortingLevel4
    category: QSL\Make
    translations:
      - code: en
        option_name: Sorting
        option_comment: 'Select the order to display the fitment level elements on the pages like "Shop By Make", "Shop By Model", "Shop By Year", etc., and in the featured blocks on your store front page.'

  - name: level4_frontPagePromo_isShown
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Show featured block'
        option_comment: 'Show featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc. on your store front page.'

  - name: level4_promoBlock_format
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Block display mode'
        option_comment: 'Choose the display mode for the featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc.'

  - name: level4_promoBlock_elementsNumber
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Number of items in block'
        option_comment: 'Set the number of items to display in the featured blocks like "Shop By Make", "Shop By Model", "Shop By Year", etc.'

  - name: cleanURLs_section
    category: QSL\Make
    translations:
      - code: en
        option_name: 'Fitment Levels & Clean URLs'

  - name: use_filter_clean_url
    category: QSL\Make
    type: QSL\Make\View\FormField\CheckboxWithLink
    translations:
      - code: en
        option_name: 'Category page'
        option_comment: 'Add the selected fitment levels to the page Clean URL, e.g. {{WEB_LC_ROOT}}audi/a1/2016/turbocharged/category_page_clean_url/'
      - code: ru
        option_name: Страница категорий

  - name: use_filter_brands_clean_url
    category: QSL\Make
    type: QSL\Make\View\FormField\CheckboxWithLink
    translations:
      - code: en
        option_name: 'Brand page'
        option_comment: 'Add the selected fitment levels to the page Clean URL, e.g. {{WEB_LC_ROOT}}audi/a1/2016/turbocharged/brand_page_clean_url/'
      - code: ru
        option_name: Страница брендов

  - name: use_filter_sale_clean_url
    category: QSL\Make
    type: QSL\Make\View\FormField\CheckboxWithLink
    translations:
      - code: en
        option_name: '"Sale" page'
        option_comment: 'Add the selected fitment levels to the page Clean URL, e.g. {{WEB_LC_ROOT}}audi/a1/2016/turbocharged/sale-products/'
      - code: ru
        option_name: Страница распродажи

  - name: use_filter_bestsellers_clean_url
    category: QSL\Make
    type: QSL\Make\View\FormField\CheckboxWithLink
    translations:
      - code: en
        option_name: '"Bestsellers" page'
        option_comment: 'Add the selected fitment levels to the page Clean URL, e.g. {{WEB_LC_ROOT}}audi/a1/2016/turbocharged/bestsellers/'
      - code: ru
        option_name: Страница бестселлеров

  - name: use_filter_new_arrival_clean_url
    category: QSL\Make
    type: QSL\Make\View\FormField\CheckboxWithLink
    translations:
      - code: en
        option_name: '"New arrivals" page'
        option_comment: 'Add the selected fitment levels to the page Clean URL, e.g. {{WEB_LC_ROOT}}audi/a1/2016/turbocharged/newarrivals/'
      - code: ru
        option_name: Страница новых поступлений

  - name: use_filter_coming_soon_clean_url
    category: QSL\Make
    type: QSL\Make\View\FormField\CheckboxWithLink
    translations:
      - code: en
        option_name: '"Coming soon" page'
        option_comment: 'Add the selected fitment levels to the page Clean URL, e.g. {{WEB_LC_ROOT}}audi/a1/2016/turbocharged/coming-soon/'
      - code: ru
        option_name: Cтраница ожидающихся поступлений

  - name: level1_type
    category: QSL\Make
    type: hidden

  - name: level2_type
    category: QSL\Make
    type: hidden

  - name: level3_type
    category: QSL\Make
    type: hidden

  - name: level4_type
    category: QSL\Make
    type: hidden
